( function( $ ) {

	$(document).ready(function($){

		var jQuerycontainer = jQuery('.portfolio-container');
		jQuerycontainer.imagesLoaded(function(){
			jQuerycontainer.isotope({
				filter: '*',
				animationOptions: {
					duration: 750,
					easing: 'linear',
					queue: false
				}
			});
		});

		jQuery('.portfolio-filter a').on( 'click',function(){
			jQuery('.portfolio-filter .current').removeClass('current');
			jQuery(this).addClass('current');

			var selector = jQuery(this).attr('data-filter');
			jQuerycontainer.isotope({
				filter: selector,
				animationOptions: {
					duration: 750,
					easing: 'linear',
					queue: false
				}
			});
			return false;
		});

	});

} )( jQuery );
